function SM_Reload()
{
	exec("Add-Ons/GameMode_Space_Match/server.cs");
}

if(!isObject(PlayerSpaceMatch))
{
	datablock PlayerData(PlayerSpaceMatch : PlayerStandardArmor)
	{
		minJetEnergy = 1;
		jetEnergyDrain = 3;
		canJet = 1;
		airControl = 0;
	
		uiName = "Space Match Player";
		showEnergyBar = false;
	};
}

if(!isObject(SpaceZone))
{
	%this = new PhysicalZone(SpaceZone)
	{
		position = "-5000 5000 -5000";
		rotation = "1 0 0 0";
		scale = "9999 9999 9999";
		velocityMod = "1";
		gravityMod = 0;
		extraDrag = 0;
		isWater = 0;
		appliedForce = "0 0 0";
		polyhedron = "0.0000000 0.0000000 0.0000000 1.0000000 0.0000000 0.0000000 0.0000000 -1.0000000 0.0000000 0.0000000 0.0000000 1.0000000";
	};
	
	MissionGroup.add(%this);
}

if(isObject(groundPlane))
{
	groundPlane.delete();
}

if(isPackage(SpaceMatch))
{
	deactivatePackage(SpaceMatch);
}

package SpaceMatch
{
	function gameConnection::spawnPlayer(%this)
	{
		Parent::spawnPlayer(%this);
		if(isObject(%this.player))
		{
			%this.player.setArmThread("crouch");
		}
	}
};

activatePackage(SpaceMatch);

//	Zapkraft
if(isFile(%file = "Add-Ons/System_Zapkraft/server.cs"))
{
	exec(%file);
}